if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi
if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
if [ -e usr/share/glib-2.0/schemas ]; then
  if [ -x /usr/bin/glib-compile-schemas ]; then
    /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
  fi
fi

( cd usr/share/help/cs/meld/figures ; rm -rf Meld.svg )
( cd usr/share/help/cs/meld/figures ; ln -sf ../../../C/meld/figures/Meld.svg Meld.svg )
( cd usr/share/help/de/meld/figures ; rm -rf Meld.svg )
( cd usr/share/help/de/meld/figures ; ln -sf ../../../C/meld/figures/Meld.svg Meld.svg )
( cd usr/share/help/el/meld/figures ; rm -rf Meld.svg )
( cd usr/share/help/el/meld/figures ; ln -sf ../../../C/meld/figures/Meld.svg Meld.svg )
( cd usr/share/help/es/meld/figures ; rm -rf Meld.svg )
( cd usr/share/help/es/meld/figures ; ln -sf ../../../C/meld/figures/Meld.svg Meld.svg )
( cd usr/share/help/pl/meld/figures ; rm -rf Meld.svg )
( cd usr/share/help/pl/meld/figures ; ln -sf ../../../C/meld/figures/Meld.svg Meld.svg )
( cd usr/share/help/pt_BR/meld/figures ; rm -rf Meld.svg )
( cd usr/share/help/pt_BR/meld/figures ; ln -sf ../../../C/meld/figures/Meld.svg Meld.svg )
( cd usr/share/help/sv/meld/figures ; rm -rf Meld.svg )
( cd usr/share/help/sv/meld/figures ; ln -sf ../../../C/meld/figures/Meld.svg Meld.svg )
